Packages - Bug #2520

xfce4-session: Unable to shutdown, reboot, and suspend with OpenRC
2019-10-28 04:38 PM - Case_Of

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

I've followed OpenRC wiki page te get best conditions possible, but I'm not able to shutdown, reboot and suspend from
xfce4-session on xfce4-panel item to logout and with xfce4-session-logout command.

History

#1 - 2019-10-28 04:40 PM - bill-auger

what is printed to the terminal when you run the xfce4-session-logout command in a terminal ?

#2 - 2019-10-29 02:46 PM - Case_Of

typing “xfce4-session-logout’ in terminal show the dialog you get when clicking logout on xfce4-panel.
typing “xfce4-session-logout --halt™ or “xfce4-session-logout --reboot’ just log out the session.

#3 - 2019-10-29 05:13 PM - bill-auger

an ACPI issue maybe? is the acpi service running?

#4 - 2019-10-29 07:51 PM - bill-auger

i just installed XFCE with openrc and it can restart and shutdown as execpted - which DM are you using?

#5 - 2019-10-29 07:56 PM - Case_Of

| tried with Ixdm.
lightdm is crashing.

#6 - 2019-10-29 08:01 PM - bill-auger
lightdm crashed for me too; but LXDM works - try uninstalling all of the other DMs that you tried and install only LXDM

this is probably overkill; but i installed all of these:

pacman -S xorg xorg-drivers lxde xfced openrc-desktop system-dummy system-libs-dummy polkit-elogind
and makes sure you have it setup as on the wiki guide

in file /etc/conf.d/xdm:

DISPLAYMANAGER="1xdm"

and run:

# rc-update add elogind default
# rc-update add xdm default

then reboot - and select "Xfce Session" from the "Desktop" menu before signing in

#7 - 2019-10-29 08:03 PM - Case_Of

| already tried that.
That was how | tested Ixdm.
Also elogind service is running since the beginning.

#8 - 2019-10-29 08:18 PM - bill-auger

would you try installing all of the packages i have listed above, and see if LXDE behaves as expected? - and then try XFCE again without removing
any of those packages
#9 - 2019-10-29 09:20 PM - bill-auger
did you also create the x-wrapper file? - the wiki guide sugests that this is essential

in /etc/X11/Xwrapper.config

needs_root_rights = yes

#10 - 2019-10-30 08:19 AM - Case_Of

acpid is already running and has not changed the situation
/etc/X11/Xwrapper.config contains:

allowed_users=anybody
needs_root_rights=yes
I will now try LXDE.

#11 - 2019-10-30 08:27 AM - Case_Of

With LXDE, I'm getting this error dialog window:
1572426543.png

LXDE can't shutdown either.

Maybe it's not an XFCE issue?

#12 - 2019-10-30 08:41 AM - bill-auger

i get that too - i forgot how to fix it; but that error is not the problem in this case - the LXDE logout GUI does restart and shutdown for me with openrc

#13 - 2019-10-30 10:18 AM - Case_Of

Ok, except XFCE, what could cause this issue then?

#14 - 2019-10-30 10:41 AM - freemor

Need some clarity to answer that question.

Does

shutdown -h now

outside of X completely shut down the machine

Does that same command in a terminal in X shutdown the machine?

| have seen cases where running daemons/services (such as rygel under mate) will hang the GUI shutting down by not exiting.

| have also seen machines that actually go into the "Halt" state instead of powering off which will ook as if they have not shutdown

#15 - 2019-10-30 02:44 PM - Case_Of

poweroff works.
I will try shutdown -h now.

#16 - 2019-10-30 03:18 PM - bill-auger

i think you need to use “openrc-shutdown’ instead on an openrc system

#17 - 2019-10-31 08:32 AM - Case_Of

shutdown -h now works as root.
But the computer hang at the end of the shutdown with kernel saying that target shutdown has been reached.

#18 - 2019-10-31 01:20 PM - bill-auger
what about “openrc-shutdown -p* ? - that should do exactly what “poweroff” does; and likewise, “shutdown -P*

the -h switch stands for "halt" - halt is not the same as poweroff - i dont think that “shutdown -h" is intended to power-off the machine - that being said,
“xfced-session-logout --halt™ also works for me and does power the machine off

“openrc-shutdown’ is an executable; while “shutdown’ and “poweroff are symlinks to their couterparts in /usr/lib/rc/bin/ - those are shell scripts that
call “openrc-shutdown’ with the args: '--halt', --poweroff', or '--reboot'

$ pkgfile -1 openrc-init | grep -E 'halt|poweroff|reboot|shutdown'

pcr/openrc—init /usr/bin/halt

pcr/openrc—init /usr/bin/openrc-shutdown
pcr/openrc-init /usr/bin/poweroff

pcr/openrc—init /usr/bin/reboot

pcr/openrc—init /usr/bin/shutdown

pcr/openrc-init /usr/lib/rc/bin/halt

pcr/openrc—init /usr/lib/rc/bin/poweroff

pcr/openrc—init /usr/lib/rc/bin/reboot

pcr/openrc-init /usr/lib/rc/bin/shutdown

pcr/openrc—init /usr/share/man/man8/openrc-shutdown.8.gz

$ file “which openrc-shutdown”

/usr/bin/openrc-shutdown: ELF 64-bit LSB pie executable, x86-64, version 1 (SYSV), dynamically linked, interpr

eter /1ib64/1d-1linux-x86-64.s0.2, for GNU/Linux 3.2.0, BuildID[shal]=3cle42cb226bdba8e26041cd45e6439c37ab54cs8,
stripped

$ file “which shutdown®

/usr/bin/shutdown: symbolic link to /usr/lib/rc/bin/shutdown

$ file “which poweroff"

/usr/bin/poweroff: symbolic link to /usr/lib/rc/bin/poweroff

$ file /usr/lib/rc/bin/shutdown

/usr/lib/rc/bin/shutdown: POSIX shell script, ASCII text executable

$ file /usr/lib/rc/bin/poweroff

/usr/lib/rc/bin/poweroff: POSIX shell script, ASCII text executable

#19 - 2019-11-14 07:58 PM - Case_Of

nonsystemd/dbus and nonsystemd/polkit new packages replacing dbus-elogind and polkit-elogind packages solved this issue.

#20 - 2019-11-15 01:57 PM - bill-auger

- Status changed from unconfirmed to not-a-bug
